Loading...
Searching...
No Matches
runlevel_probe.c File Reference

runlevel probe More...

`#include <stdio.h>`
`#include <stdbool.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <assert.h>`
`#include <unistd.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <dirent.h>`
`#include <limits.h>`
`#include "_seap.h"`
`#include <probe-api.h>`
`#include <probe/probe.h>`
`#include <probe/entcmp.h>`
`#include <probe/option.h>`
`#include "common/debug_priv.h"`
`#include "runlevel_probe.h"`
Include dependency graph for runlevel_probe.c:

## Data Structures

struct | runlevel_req
struct | runlevel_rep

## Macros

#define | _BSD_SOURCE
#define | _DEFAULT_SOURCE
#define | RELEASENAME_MAX_SIZE 256
#define | RELEASENAME_PATTERN "CPE_NAME=\"%255s\""

## Functions

int | runlevel_probe_offline_mode_supported ()
int | runlevel_probe_main (probe_ctx *ctx, void *arg)

## Detailed Description

runlevel probe

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m
  "Tomas Heinrich" thein.nosp@m.ric@.nosp@m.redha.nosp@m.t.co.nosp@m.m

2010/06/13 dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m This probe is able to process a runlevel_object as defined in OVAL 5.4 and 5.5.